List themes (newest first)
curl --request GET \
--url https://api.gominerva.com/idv/v1/themes \
--header 'Authorization: <api-key>'import requests
url = "https://api.gominerva.com/idv/v1/themes"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gominerva.com/idv/v1/themes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"themes": [
{
"theme_id": "<string>",
"tenant_id": "<string>",
"workspace_id": "<string>",
"name": "<string>",
"status": "draft",
"is_default": true,
"logo": {
"asset_id": "<string>",
"content_type": "image/png",
"width": 2,
"height": 2
},
"logo_square": {
"asset_id": "<string>",
"content_type": "image/png",
"width": 2,
"height": 2
},
"colors": {
"primary": "<string>",
"primary_foreground": "<string>",
"background": "<string>",
"foreground": "<string>",
"accent": "<string>"
},
"font_family": "",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"revision": 2,
"company_name": "<string>"
}
]
}{
"error": {
"code": "idv_session_not_found",
"message": "<string>"
}
}Themes
List themes (newest first)
GET
/
themes
List themes (newest first)
Authorizations
applicationApiKeydashboardUserToken
Authorization: Api-Key <application_api_key> (legacy X-Api-Key also accepted).
Query Parameters
Required range:
1 <= x <= 100Optional lifecycle filter (CSV of draft/active/archived; absent = all).
Response
Themes in the caller's tenant/workspace
Show child attributes
Show child attributes